## net.i2p.sam.client
Interface SAMReader.SAMClientEventListener

All Known Implementing Classes:
  SAMClientEventListenerImpl, SAMEventHandler

Enclosing class:
  SAMReader

    public static interface SAMReader.SAMClientEventListener

Async event notification interface for SAM clients

Field Summary
`static java.lang.String` `NAMING_REPLY_INVALID_KEY`
`static java.lang.String` `NAMING_REPLY_KEY_NOT_FOUND`
`static java.lang.String` `NAMING_REPLY_OK`
`static java.lang.String` `SESSION_STATUS_DUPLICATE_DEST`
`static java.lang.String` `SESSION_STATUS_I2P_ERROR`
`static java.lang.String` `SESSION_STATUS_INVALID_KEY`
`static java.lang.String` `SESSION_STATUS_OK`
`static java.lang.String` `STREAM_CLOSED_CANT_REACH_PEER`
`static java.lang.String` `STREAM_CLOSED_I2P_ERROR`
`static java.lang.String` `STREAM_CLOSED_OK`
`static java.lang.String` `STREAM_CLOSED_PEER_NOT_FOUND`
`static java.lang.String` `STREAM_CLOSED_TIMEOUT`
`static java.lang.String` `STREAM_STATUS_CANT_REACH_PEER`
`static java.lang.String` `STREAM_STATUS_I2P_ERROR`
`static java.lang.String` `STREAM_STATUS_INVALID_KEY`
`static java.lang.String` `STREAM_STATUS_OK`
`static java.lang.String` `STREAM_STATUS_TIMEOUT`

Method Summary
`void` `destReplyReceived(java.lang.String publicKey, java.lang.String privateKey)`
`void` `helloReplyReceived(boolean ok)`
`void` `namingReplyReceived(java.lang.String name, java.lang.String result, java.lang.String value, java.lang.String message)`
`void` `sessionStatusReceived(java.lang.String result, java.lang.String destination, java.lang.String message)`
`void` `streamClosedReceived(java.lang.String result, int id, java.lang.String message)`
`void` `streamConnectedReceived(java.lang.String remoteDestination, int id)`
`void` `streamDataReceived(int id, byte[] data, int offset, int length)`
`void` `streamStatusReceived(java.lang.String result, int id, java.lang.String message)`
`void` `unknownMessageReceived(java.lang.String major, java.lang.String minor, java.util.Properties params)`

Field Detail

### SESSION_STATUS_OK

    static final java.lang.String SESSION_STATUS_OK

See Also:
  Constant Field Values

### SESSION_STATUS_DUPLICATE_DEST

    static final java.lang.String SESSION_STATUS_DUPLICATE_DEST

See Also:
  Constant Field Values

### SESSION_STATUS_I2P_ERROR

    static final java.lang.String SESSION_STATUS_I2P_ERROR

See Also:
  Constant Field Values

### SESSION_STATUS_INVALID_KEY

    static final java.lang.String SESSION_STATUS_INVALID_KEY

See Also:
  Constant Field Values

### STREAM_STATUS_OK

    static final java.lang.String STREAM_STATUS_OK

See Also:
  Constant Field Values

### STREAM_STATUS_CANT_REACH_PEER

    static final java.lang.String STREAM_STATUS_CANT_REACH_PEER

See Also:
  Constant Field Values

### STREAM_STATUS_I2P_ERROR

    static final java.lang.String STREAM_STATUS_I2P_ERROR

See Also:
  Constant Field Values

### STREAM_STATUS_INVALID_KEY

    static final java.lang.String STREAM_STATUS_INVALID_KEY

See Also:
  Constant Field Values

### STREAM_STATUS_TIMEOUT

    static final java.lang.String STREAM_STATUS_TIMEOUT

See Also:
  Constant Field Values

### STREAM_CLOSED_OK

    static final java.lang.String STREAM_CLOSED_OK

See Also:
  Constant Field Values

### STREAM_CLOSED_CANT_REACH_PEER

    static final java.lang.String STREAM_CLOSED_CANT_REACH_PEER

See Also:
  Constant Field Values

### STREAM_CLOSED_I2P_ERROR

    static final java.lang.String STREAM_CLOSED_I2P_ERROR

See Also:
  Constant Field Values

### STREAM_CLOSED_PEER_NOT_FOUND

    static final java.lang.String STREAM_CLOSED_PEER_NOT_FOUND

See Also:
  Constant Field Values

### STREAM_CLOSED_TIMEOUT

    static final java.lang.String STREAM_CLOSED_TIMEOUT

See Also:
  Constant Field Values

### NAMING_REPLY_OK

    static final java.lang.String NAMING_REPLY_OK

See Also:
  Constant Field Values

### NAMING_REPLY_INVALID_KEY

    static final java.lang.String NAMING_REPLY_INVALID_KEY

See Also:
  Constant Field Values

### NAMING_REPLY_KEY_NOT_FOUND

    static final java.lang.String NAMING_REPLY_KEY_NOT_FOUND

See Also:
  Constant Field Values

Method Detail

### helloReplyReceived

    void helloReplyReceived(boolean ok)

### sessionStatusReceived

    void sessionStatusReceived(java.lang.String result,
                               java.lang.String destination,
                               java.lang.String message)

### streamStatusReceived

    void streamStatusReceived(java.lang.String result,
                              int id,
                              java.lang.String message)

### streamConnectedReceived

    void streamConnectedReceived(java.lang.String remoteDestination,
                                 int id)

### streamClosedReceived

    void streamClosedReceived(java.lang.String result,
                              int id,
                              java.lang.String message)

### streamDataReceived

    void streamDataReceived(int id,
                            byte[] data,
                            int offset,
                            int length)

### namingReplyReceived

    void namingReplyReceived(java.lang.String name,
                             java.lang.String result,
                             java.lang.String value,
                             java.lang.String message)

### destReplyReceived

    void destReplyReceived(java.lang.String publicKey,
                           java.lang.String privateKey)

### unknownMessageReceived

    void unknownMessageReceived(java.lang.String major,
                                java.lang.String minor,
                                java.util.Properties params)